Get details of all work definitions and their versions
get
/fscmRestApi/resources/11.13.18.05/demandAndSupplyPlans/{PlanId}/child/workDefinitionVersions
Request
Path Parameters
-
PlanId(required): integer
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the work definition according to the value that identifies the work definition.
Finder Variables- ItemId; integer; Value that uniquely identifies the item associated with the work definition.
- OrganizationId; integer; Value that uniquely identifies the organization associated with the work definition.
- PlanId; integer; Value that uniquely identifies the plan.
- RoutingSequenceId; integer; Value that uniquely identifies the work definition.
- PrimaryKey Finds the work definition according to the value that identifies the work definition.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- CreatedBy; string; User who created the work definition version.
- CreationDate; string; Date and time when the user created the work definition version.
- EndDate; string; Value that identifies the end date of the work definition version.
- ItemId; integer; Value that uniquely identifies the assembly item.
- ItemName; string; Name of the item associated with the work definition.
- LastUpdateDate; string; Date when the user most recently updated the work definition.
- LastUpdateLogin; string; Session login associated with the user who updated the work definition.
- LastUpdatedBy; string; User who most recently updated the work definition.
- MaximumBatchQuantity; number; Value that identifies the maximum batch quantity that can be made using a work definition.
- MinimumBatchQuantity; number; Value that identifies the minimum batch quantity that can be made using a work definition.
- Notes; integer; Indicates whether an associated note exists. Contains one of the following values: 0 or 1. If 0, then there are no associated notes. If 1, then there's at least one associated note.
- Organization; string; Value that uniquely identifies the organization code on the work definition.
- OrganizationId; integer; Value that uniquely identifies the organization.
- PartitionKey; integer; Value that uniquely identifies the part key associated with the work definition version.
- PlanId; integer; Value that indicates the most recent unique value used to identify the plan.
- ProductionPriority; integer; Value that identifies the work definition's priority. 1 is the highest priority and is referred to as the primary work definition. Work definitions with a priority greater than 1 are considered alternate work definitions.
- RoutingSequenceId; integer; Value that uniquely identifies a work definition.
- StartDate; string; Date when the work definition version started.
- Version; string; Value that uniquely identifies the version of the work definition.
- WorkDefinitionCode; string; Code that uniquely identifies the work definition used for a make order.
- WorkDefinitionDescription; string; Description of a work definition for an item.
- WorkDefinitionName; string; Value that uniquely identifies the name of the work definition.
- WorkMethod; string; Name of the work method.
- WorkMethodCode; integer; Value that uniquely identifies the work method for which this work definition is applicable.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : demandAndSupplyPlans-workDefinitionVersions
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : demandAndSupplyPlans-workDefinitionVersions-item-response
Type:
Show Source
object-
CreatedBy: string
Read Only:
trueMaximum Length:255User who created the work definition version. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the user created the work definition version. -
EndDate: string
(date)
Read Only:
trueValue that identifies the end date of the work definition version. -
ItemId: integer
Read Only:
trueValue that uniquely identifies the assembly item. -
ItemName: string
Read Only:
trueMaximum Length:4000Name of the item associated with the work definition. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the user most recently updated the work definition. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the work definition. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated with the user who updated the work definition. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MaximumBatchQuantity: number
Read Only:
trueValue that identifies the maximum batch quantity that can be made using a work definition. -
MinimumBatchQuantity: number
Read Only:
trueValue that identifies the minimum batch quantity that can be made using a work definition. -
Notes: integer
Read Only:
trueIndicates whether an associated note exists. Contains one of the following values: 0 or 1. If 0, then there are no associated notes. If 1, then there's at least one associated note. -
Organization: string
Read Only:
trueMaximum Length:4000Value that uniquely identifies the organization code on the work definition. -
OrganizationId: integer
Read Only:
trueValue that uniquely identifies the organization. -
PartitionKey: integer
Read Only:
trueValue that uniquely identifies the part key associated with the work definition version. -
PlanId: integer
Read Only:
trueValue that indicates the most recent unique value used to identify the plan. -
ProductionPriority: integer
Read Only:
trueValue that identifies the work definition's priority. 1 is the highest priority and is referred to as the primary work definition. Work definitions with a priority greater than 1 are considered alternate work definitions. -
RoutingSequenceId: integer
Read Only:
trueValue that uniquely identifies a work definition. -
StartDate: string
(date)
Read Only:
trueDate when the work definition version started. -
Version: string
Read Only:
trueMaximum Length:10Value that uniquely identifies the version of the work definition. -
WorkDefinitionCode: string
Read Only:
trueMaximum Length:30Code that uniquely identifies the work definition used for a make order. -
WorkDefinitionDescription: string
Read Only:
trueMaximum Length:960Description of a work definition for an item. -
WorkDefinitionName: string
Read Only:
trueMaximum Length:300Value that uniquely identifies the name of the work definition. -
WorkMethod: string
Read Only:
trueMaximum Length:4000Name of the work method. -
WorkMethodCode: integer
Read Only:
trueValue that uniquely identifies the work method for which this work definition is applicable.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.